defmodule DaProductApp.Repo.Migrations.CreateCashiers do
  use Ecto.Migration

  def up do
    execute("""
    CREATE TABLE cashiers (
      id BIGINT UNSIGNED AUTO_INCREMENT PRIMARY KEY,
      employee_id VARCHAR(255) NOT NULL,
      name VARCHAR(255) NOT NULL,
      inserted_at DATETIME NOT NULL,
      updated_at DATETIME NOT NULL
    ) ENGINE=InnoDB
    """)
  end

  def down do
    execute("DROP TABLE IF EXISTS cashiers")
  end
end
